# Mobile To Account - Penny Drop

Data extraction of bank account refers to the process of collecting and retrieving information from a mobile number.

### mobile\_to\_account

`POST` `https://secctrl.tutelar.io/api/v1/kyc/banking/mobile_to_account`

#### Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description   |
| -------------- | ------ | ------------ | ------------- |
| country\_code  | String | Yes          | Country Code  |
| mobile\_number | String | Yes          | Mobile Number |

#### Sample Post Parameters

```json
{
    "country_code": "+91",
    "mobile_number": "9000190002"
}
```

200: Success Response

200: InProgress Response

400: Validation Error Response

200: Failure Response

402: Insufficient funds

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "ff26bf52-5946-4469-8529-cdbf25aa2d44",
    "status": "completed",
    "result": {
        "message": "SUCCESS",
        "name_at_bank": "SIVA MANIKANDAN",
        "account_number": "50100552304042",
        "ifsc_code": "HDFC0001858",
        "vpa": "sivamani072001-1@okhdfcbank",
        "bank_reference": "J2506111937498803822223735"
    },
    "requested_at": "2025-06-11T14:07:49.367Z",
    "completed_at": "2025-06-11T14:07:51.444Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "10cc9473-ce11-425e-ac89-1f51ce6e78de",
    "status": "in_progress",
    "requested_at": "2025-06-11T14:07:49.367Z",
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid Mobile number",
        "field": "mobile_number",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "3c94fbf2-1dd0-4d8b-ac9b-d0cccfb1d02a",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2025-06-11T14:07:49.367Z",
    "completed_at": "2025-06-11T14:07:51.444Z"
}
```

```json
{
    "success": false,
    "code": 402,
    "message": "Insufficient Credits to access api's."
}
```

**Check Api Status**

### Get account details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference\_id

`GET` `https://secctrl.tutelar.io/api/v1/kyc/banking/mobile_to_account`

#### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "ff26bf52-5946-4469-8529-cdbf25aa2d44",
    "status": "completed",
    "result": {
        "message": "SUCCESS",
        "name_at_bank": "SIVA MANIKANDAN",
        "account_number": "50100552304042",
        "ifsc_code": "HDFC0001858",
        "vpa": "sivamani072001-1@okhdfcbank",
        "bank_reference": "J2506111937498803822223735"
    },
    "requested_at": "2025-06-11T14:07:49.367Z",
    "completed_at": "2025-06-11T14:07:51.444Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "10cc9473-ce11-425e-ac89-1f51ce6e78de",
    "status": "in_progress",
    "requested_at": "2025-06-11T14:07:49.367Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "3c94fbf2-1dd0-4d8b-ac9b-d0cccfb1d02a",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2025-06-11T14:07:49.367Z",
    "completed_at": "2025-06-11T14:07:51.444Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/mobile-to-account-penny-drop.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
